import DIPI_Balloon from './Balloon/Balloon';
import DIPI_BeforeAfterSlider from './BeforeAfterSlider/BeforeAfterSlider';
import DIPI_BlogSlider from './BlogSlider/BlogSlider';
import DIPI_Breadcrumbs from './Breadcrumbs/Breadcrumbs';
import DIPI_ButtonGrid from './ButtonGrid/ButtonGrid';
import DIPI_ButtonGridChild from './ButtonGridChild/ButtonGridChild';
import DIPI_Carousel from './Carousel/Carousel';
import DIPI_CarouselChild from './CarouselChild/CarouselChild';
import DIPI_ContentToggle from './ContentToggle/ContentToggle';
import DIPI_Countdown from './Countdown/Countdown';
import DIPI_Counter from './Counter/Counter';
import DIPI_DualHeading from './DualHeading/DualHeading';
import DIPI_FancyText from './FancyText/FancyText';
import DIPI_FancyTextChild from './FancyTextChild/FancyTextChild';
import DIPI_FAQ from './FAQ/FAQ';
import DIPI_FlipBox from './FlipBox/FlipBox';
import DIPI_FloatingMultiImages from './FloatingMultiImages/FloatingMultiImages';
import DIPI_FloatingMultiImagesChild from './FloatingMultiImagesChild/FloatingMultiImagesChild';
import DIPI_HoverBox from './HoverBox/HoverBox';
import DIPI_ImageAccordion from './ImageAccordion/ImageAccordion';
import DIPI_ImageAccordionChild from './ImageAccordionChild/ImageAccordionChild';
import DIPI_ImageGallery from './ImageGallery/ImageGallery';
import DIPI_ImageGalleryChild from './ImageGalleryChild/ImageGalleryChild';
import DIPI_ImageHotspot from './ImageHotspot/ImageHotspot';
import DIPI_ImageHotspotChild from './ImageHotspotChild/ImageHotspotChild';
import DIPI_ImageMagnifier from './ImageMagnifier/ImageMagnifier';
import DIPI_ImageRotator from './ImageRotator/ImageRotator';
import DIPI_ImageMask from './ImageMask/ImageMask';
import DIPI_ImageShowcase from './ImageShowcase/ImageShowcase';
import DIPI_ImageShowcaseChild from './ImageShowcaseChild/ImageShowcaseChild';
import DIPI_InstagramGrid from './InstagramGrid/InstagramGrid';
import DIPI_InstagramProfile from './InstagramProfile/InstagramProfile';
import DIPI_InstagramSlider from './InstagramSlider/InstagramSlider';
import DIPI_LottieIcon from './LottieIcon/LottieIcon';
import DIPI_MasonryGallery from './MasonryGallery/MasonryGallery';
import DIPI_FilterableGrid from './FilterableGrid/FilterableGrid';
import DIPI_Panorama from './Panorama/Panorama';
import DIPI_PriceList from './PriceList/PriceList';
import DIPI_PriceListItem from './PriceListItem/PriceListItem';
import DIPI_ReadingProgressBar from './ReadingProgressBar/ReadingProgressBar';
import DIPI_ScrollImage from './ScrollImage/ScrollImage';
import DIPI_StarRating from './StarRating/StarRating';
import DIPI_Testimonial from './Testimonial/Testimonial';
import DIPI_TiltImage from './TiltImage/TiltImage';
import DIPI_Timeline from './Timeline/Timeline';
import DIPI_TimelineItem from './TimelineItem/TimelineItem';
import DIPI_HorizontalTimeline from './HorizontalTimeline/HorizontalTimeline';
import DIPI_HorizontalTimelineItem from './HorizontalTimelineItem/HorizontalTimelineItem';
import DIPI_TypingText from './TypingText/TypingText';
import DIPI_SVGAnimator from './SVGAnimator/SVGAnimator';
import DIPI_AdvancedTabs from './AdvancedTabs/AdvancedTabs';
import DIPI_AdvancedTabsItem from './AdvancedTabsItem/AdvancedTabsItem';
import DIPI_InfoCircle from './InfoCircle/InfoCircle';
import DIPI_InfoCircleItem from './InfoCircleItem/InfoCircleItem';
import DIPI_PricingTable from './PricingTable/PricingTable';
import DIPI_PricingTableItem from './PricingTableItem/PricingTableItem';
import DIPI_TileScroll from './TileScroll/TileScroll';
import DIPI_TileScrollItem from './TileScrollItem/TileScrollItem';
import DIPI_TextHighlighter from './TextHighlighter/TextHighlighter';
import DIPI_ExpandingCTA from './ExpandingCTA/ExpandingCTA';
import DIPI_FilterableGallery from './FilterableGallery/FilterableGallery';
import DIPI_GravityFormsStyler from './GravityFormsStyler/GravityFormsStyler';
import DIPI_HoverGallery from './HoverGallery/HoverGallery';
import DIPI_HoverGalleryItem from './HoverGalleryItem/HoverGalleryItem';
import DIPI_ParallaxImages from './ParallaxImages/ParallaxImages';
import DIPI_ParallaxImagesItem from './ParallaxImagesItem/ParallaxImagesItem';
import DIPI_ContentSlider from './ContentSlider/ContentSlider';
import DIPI_ContentSliderChild from './ContentSliderChild/ContentSliderChild';
export default [  
    DIPI_Balloon,
    DIPI_BeforeAfterSlider,
    DIPI_BlogSlider,
    DIPI_Breadcrumbs,
    DIPI_ButtonGrid,
    DIPI_ButtonGridChild,
    DIPI_Carousel,
    DIPI_CarouselChild,
    DIPI_ContentToggle,
    DIPI_Countdown,
    DIPI_Counter,
    DIPI_DualHeading,
    DIPI_FancyText,
    DIPI_FancyTextChild,
    DIPI_FAQ,
    DIPI_FlipBox,
    DIPI_FloatingMultiImages,
    DIPI_FloatingMultiImagesChild,
    DIPI_HoverBox,
    DIPI_ImageAccordion,
    DIPI_ImageAccordionChild,
    DIPI_ImageGallery,
    DIPI_ImageGalleryChild,
    DIPI_ImageHotspot,
    DIPI_ImageHotspotChild,
    DIPI_ImageMagnifier,
    DIPI_ImageRotator,
    DIPI_ImageMask,
    DIPI_ImageShowcase,
    DIPI_ImageShowcaseChild,
    DIPI_InstagramGrid,
    DIPI_InstagramProfile,
    DIPI_InstagramSlider,
    DIPI_LottieIcon,
    DIPI_MasonryGallery,
    DIPI_FilterableGrid,
    DIPI_Panorama,
    DIPI_PriceList,
    DIPI_PriceListItem,
    DIPI_ReadingProgressBar,
    DIPI_ScrollImage,
    DIPI_StarRating,
    DIPI_Testimonial,
    DIPI_TiltImage,
    DIPI_Timeline,
    DIPI_TimelineItem,
    DIPI_HorizontalTimeline,
    DIPI_HorizontalTimelineItem,
    DIPI_TypingText,
    DIPI_SVGAnimator,
    DIPI_AdvancedTabs,
    DIPI_AdvancedTabsItem,
    DIPI_InfoCircle,
    DIPI_InfoCircleItem,
    DIPI_PricingTable,
    DIPI_PricingTableItem,
    DIPI_TileScroll,
    DIPI_TileScrollItem,
    DIPI_TextHighlighter,
    DIPI_ExpandingCTA,
    DIPI_FilterableGallery,
    DIPI_GravityFormsStyler,
    DIPI_HoverGallery,
    DIPI_HoverGalleryItem,
    DIPI_ParallaxImages,
    DIPI_ParallaxImagesItem,
    DIPI_ContentSlider,
    DIPI_ContentSliderChild
];